/*
		Moving Average
		
    Copyright (C) 2015  Ralph Schenn

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _MOVAVG_H_
#define _MOVAVG_H_

/* Moving Average
*
* input signal
* input signal length
* average length
* output signal
*/
void MovAvg(float x[], 
	unsigned short xl, 
	unsigned short l,
	float y[]);
	
/*
* Moving Average for TI-89
* pointer to list of real numbers on estack
* length of moving average
*/
void MovAvgWrapper(CESI argptr,
	unsigned short lenAvg);

#endif
