/*
		numeric functions
		
    Copyright (C) 2013  Ralph Schenn with support from Kevin Kofler

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _NUM_H_
#define _NUM_H_

#include <estack.h>

/*check if number is a power of 2*/
enum Bool IsPow2(unsigned long int arg);

/* absolute value of complex float */
float Cabs(_Complex float arg);

/* factorial */
unsigned long Fact(unsigned short arg);

/*binary logarithm*/
float Log2(float arg);

#endif
