/*
		convert tag decimal values to strings with tag names
		
    Copyright (C) 2013  Ralph Schenn with support from Kevin Kofler

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef _TAGS_H_
#define _TAGS_H_

/* convert tag to string */
const char *Tag2Str(enum Tags tag);

/* convert string to tag */
enum Tags Str2Tag(const char *input);

/* convert extended tag to string */
const char *ExtTag2Str(enum ExtTags input);

/* convert string to extended tag */
enum ExtTags Str2ExtTag(const char *input);

#endif