/*
		VarLst - returns list of variables in expression
		Example: varlst(expression)
		
    Copyright (C) 2013  Ralph Schenn

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <alloc.h>
#include <error.h>
#include <vat.h>
#include "Memory.h"
#include "MultiExpr.h"
#include "Stack.h"
 
void _main(void)
{
	CESI argptr = top_estack;
        
  CheckNumArgs (1);
                        
  //CleanStack ();
            
  TRY
  	//ESI delete_begin = top_estack, delete_end = top_estack;
			
		// this changes only the parameter and not the global top_estack
		//StackBegin (&delete_begin);
			
  	// beginning of list
  	push_END_TAG ();
  	
  	//push_internal_simplify (argptr);
  	
  	while (argptr > bottom_estack) {
  		if (is_variable (argptr)) {
  			push_expression (argptr);
  			argptr--;
  		}
  	}

  	// end of list
  	push_LIST_TAG ();
			
		// remove unsorted list and direction from estack
		//delete_between (delete_begin, delete_end);
  FINALLY
  ENDFINAL
}
